<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;
use Carbon\Carbon;

class SyncInventoryControlScheduleResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            "name" => $this->pes_nome,
            "branch" => $this->fil_descricao,
            "inventory_description" => $this->loe_descricao,
            "status" => $this->agc_status,
            "scheduled_date" => Carbon::createFromFormat('Y-m-d', $this->agc_data_contagem)->format('d/m/Y'),
        ];
    }
}
