<?php

namespace App\RestApi\ProductionOrder\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreStatusRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            "st_descricao" => 'required|string',
            "st_controla_estoque" => 'required|integer',
            "st_fk_loe_codigo_origem" => 'required|integer|dynamicdb.movimentacao.local_estoque,loe_codigo',
            "st_fk_loe_codigo_destino" => 'required|integer|dynamicdb.movimentacao.local_estoque,loe_codigo',
        ];
    }
}
