<?php

namespace App\Mobile\Synchronization\Controllers;

use App\Mobile\Synchronization\Resources\RouteAddressResource;
use Freelabois\LaravelQuickstart\Extendables\CrudController;
use Schaffen\Financial\BillingRoute\Repositories\SalesmanRepository;
use Schaffen\Financial\BillingRoute\Managers\SalesmanManager;

class RouteAddressController extends CrudController
{
    protected $resource = RouteAddressResource::class;

    public function __construct(SalesmanManager $manager, SalesmanRepository $repository)
    {
        parent::__construct($manager, $repository);
    }
}
