<?php


namespace App\RestApi\EnvironmentConfiguration\Controllers;

use App\RestApi\Company\Resources\BranchCollectionResource;

use App\RestApi\EnvironmentConfiguration\Resources\ParameterCollectionResource;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Schaffen\Core\EnvironmentConfiguration\Managers\ParameterManager;
use Schaffen\Core\EnvironmentConfiguration\Repositories\ParameterRepository;


class ParameterController
{

    use Crudable;

    protected $resource = ParameterCollectionResource::class;

    public function __construct(
        ParameterManager $manager,
        ParameterRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }



}
